CSFML - C binding of the Simple and Fast Multimedia Library

CSFML 3.0.0

- Main Page
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Typedefs | Functions
Vulkan.h File Reference
`#include <CSFML/Window/Export.h>`
`#include <stddef.h>`

Go to the source code of this file.

## Typedefs
typedef struct VkInstance_T * | VkInstance
typedef uint64_t | VkSurfaceKHR
typedef struct VkAllocationCallbacks | VkAllocationCallbacks
typedef void(* | sfVulkanFunctionPointer) (void)

## Functions
bool | sfVulkan_isAvailable (bool requireGraphics)
| Tell whether or not the system supports Vulkan.
sfVulkanFunctionPointer | sfVulkan_getFunction (const char *name)
| Get the address of a Vulkan function.
const char *const * | sfVulkan_getGraphicsRequiredInstanceExtensions (size_t *count)
| Get Vulkan instance extensions required for graphics.

## Typedef Documentation

## ◆ sfVulkanFunctionPointer

typedef void(* sfVulkanFunctionPointer) (void)

Definition at line 49 of file Vulkan.h.

## ◆ VkAllocationCallbacks

typedef struct VkAllocationCallbacks VkAllocationCallbacks

Definition at line 46 of file Vulkan.h.

## ◆ VkInstance

typedef struct VkInstance_T* VkInstance

Definition at line 33 of file Vulkan.h.

## ◆ VkSurfaceKHR

typedef uint64_t VkSurfaceKHR

Definition at line 42 of file Vulkan.h.

## Function Documentation

## ◆ sfVulkan_getFunction()

sfVulkanFunctionPointer sfVulkan_getFunction | ( | const char * | name | ) |

Get the address of a Vulkan function.

Parameters

  name | Name of the function to get the address of

Returns
  Address of the Vulkan function, 0 on failure

## ◆ sfVulkan_getGraphicsRequiredInstanceExtensions()

const char *const * sfVulkan_getGraphicsRequiredInstanceExtensions | ( | size_t * | count | ) |

Get Vulkan instance extensions required for graphics.

Parameters

  count | Pointer to a variable that will be filled with the number of instance extensions in the array

Returns
  Vulkan instance extensions required for graphics

## ◆ sfVulkan_isAvailable()

bool sfVulkan_isAvailable | ( | bool | requireGraphics | ) |

Tell whether or not the system supports Vulkan.

This function should always be called before using the Vulkan features. If it returns false, then any attempt to use Vulkan will fail.

If only compute is required, set requireGraphics to false to skip checking for the extensions necessary for graphics rendering.

Parameters

  requireGraphics |

Returns
  True if Vulkan is supported, false otherwise